<?php
//++
$SYS_FOC="PagFec";
//++++++++
$StrCmd=V($_POST['TxtAc']);
//++++++
$TABLA="ges_xml_tmp_cuo";
$BAS=0;
if($MOD==1){
	$BAS=gn("id_xml","ges_xml_cuo","id_cuo=$KEY");
	$TABLA="ges_xml_cuo";
}
//
$PAGAR_SON=vbval(V($_POST['PAGAR_SON']));
$PAGAR_RET_SON=vbval(V($_POST['PAGAR_RET_SON']));
//
$PagRegFec=V($_POST['PagRegFec']);
$PagRegBan=V($_POST['PagRegBan']);
$PagRegNroOpe=V($_POST['PagRegNroOpe']);
$PagRegTot=V($_POST['PagRegTot']);
$PagRegObs=V($_POST['PagRegObs']);
//
$PagRetFec=V($_POST['PagRetFec']);
$PagRetNroOpe=V($_POST['PagRetNroOpe']);
$PagRetTot=V($_POST['PagRetTot']);
//
if($StrCmd=="PAGAR_EX"){
	if($PAGAR_SON==0){
		$s="UPDATE $TABLA
			SET 		
				cuo_pag_fec='1900-01-01' ,
				cuo_pag_usu=0 ,
				cuo_pag_sys_fec='1900-01-01',
				cuo_pag_obs='' , 
				cuo_pag_id_ban=0,
				cuo_pag_nro_ope='',
				cuo_pag_tot=0
			WHERE id_cuo=".$KEY;
		ejt($s);
	}else{
		$PagRegFec=ToDateEx($PagRegFec);
		$PagRegBan=gn("id_ban","ges_xml_bancos","ban_nom='$PagRegBan'");
		$PagRegTot=vbval($PagRegTot);
		//
		$s="UPDATE $TABLA
			SET 		
				cuo_pag_fec='$PagRegFec' ,
				cuo_pag_usu=$IdUsu ,
				cuo_pag_sys_fec='".date("Y-m-d")."',
				cuo_pag_obs='$PagRegObs' , 
				cuo_pag_id_ban=$PagRegBan,
				cuo_pag_nro_ope='$PagRegNroOpe',
				cuo_pag_tot=$PagRegTot
			WHERE id_cuo=".$KEY;
		ejt($s);
	}
	//
	if($PAGAR_RET_SON==0){
		$s="UPDATE $TABLA
			SET 
			cuo_ret_fec='1900-01-01',
			cuo_ret_nro_ope='',
			cuo_ret_tot=0 WHERE id_cuo=".$KEY;
		ejt($s);	
	}else{
		//+++
		$PagRetFec=ToDateEx($PagRetFec);
		$PagRetNroOpe=trim($PagRetNroOpe);
		$PagRetTot_=vbval($PagRetTot);
		$s="UPDATE $TABLA
			SET 
			cuo_ret_fec='".$PagRetFec."',
			cuo_ret_nro_ope='$PagRetNroOpe',
			cuo_ret_tot=".$PagRetTot_." 
			WHERE id_cuo=".$KEY;
		ejt($s);	
	}
	//
	$SYS_PAG="OK";
	if($MOD==1){		
		XML_FAC_SET_PAG_EX($BAS);
	}
}
//
if($StrCmd=="PAGAR_KIL"){
	$s="UPDATE $TABLA
		SET 		
			cuo_pag_fec='1900-01-01' ,
			cuo_pag_usu=0 ,
			cuo_pag_sys_fec='1900-01-01',
			cuo_pag_obs='' , 
			cuo_pag_id_ban=0,
			cuo_pag_nro_ope='',
			cuo_pag_tot=0
		WHERE id_cuo=".$KEY;
	ejt($s);
	$SYS_PAG="OK";
	if($MOD==1){		
		XML_FAC_SET_PAG_EX($BAS);
	}
}
//
if($StrCmd=="PAGAR"){
	$PagRegFec=V($_POST['PagRegFec']);
	$PagRegBan=V($_POST['PagRegBan']);
	$PagRegNroOpe=V($_POST['PagRegNroOpe']);
	$PagRegTot=V($_POST['PagRegTot']);
	$PagRegObs=V($_POST['PagRegObs']);
	//
	$PagRegFec=ToDateEx($PagRegFec);
	$PagRegBan=gn("id_ban","ges_xml_bancos","ban_nom='$PagRegBan'");
	$PagRegTot=vbval($PagRegTot);
	//
	$s="UPDATE $TABLA
		SET 		
			cuo_pag_fec='$PagRegFec' ,
			cuo_pag_usu=$IdUsu ,
			cuo_pag_sys_fec='".date("Y-m-d")."',
			cuo_pag_obs='$PagRegObs' , 
			cuo_pag_id_ban=$PagRegBan,
			cuo_pag_nro_ope='$PagRegNroOpe',
			cuo_pag_tot=$PagRegTot
		WHERE id_cuo=".$KEY;
	ejt($s);
	$SYS_PAG="OK";
	if($MOD==1){		
		XML_FAC_SET_PAG_EX($BAS);
	}
}
//
if($StrCmd=="PAGAR_RET_KIL"){
	$s="UPDATE $TABLA
		SET 
		cuo_ret_fec='1900-01-01',
		cuo_ret_nro_ope='',
		cuo_ret_tot=0 WHERE id_cuo=".$KEY;
	ejt($s);	
	$SYS_PAG="OK";
	if($MOD==1){		
		XML_FAC_SET_PAG_EX($BAS);
	}
}
//
if($StrCmd=="PAGAR_RET"){
	$PagRetFec=V($_POST['PagRetFec']);
	$PagRetNroOpe=V($_POST['PagRetNroOpe']);
	$PagRetTot=V($_POST['PagRetTot']);
	//+++
	$PagRetFec=ToDateEx($PagRetFec);
	$PagRetNroOpe=trim($PagRetNroOpe);
	$PagRetTot_=vbval($PagRetTot);
	$s="UPDATE $TABLA
		SET 
		cuo_ret_fec='".$PagRetFec."',
		cuo_ret_nro_ope='$PagRetNroOpe',
		cuo_ret_tot=".$PagRetTot_." 
		WHERE id_cuo=".$KEY;
	ejt($s);	
	$SYS_PAG="OK";
	if($MOD==1){		
		XML_FAC_SET_PAG_EX($BAS);
	}
}
//
$r=gr($TABLA,"id_cuo=".$KEY);
$CuoNro=$r['cuo_nro'];
$CuoFec=FEP($r['cuo_fec']);
$CuoFecPro=FEP($r['cuo_fep']);
$CuoTot=$r['cuo_tot'];
$CuoTip=$r['cuo_tip'];
$CuoPagReg=$r['cuo_tot_pag'];
$CuoPagRet=$r['cuo_tot_ret'];
$CuoObs=$r['cuo_obs'];
$PagRegBan=$r['cuo_pag_id_ban'];
//
$PagRegFec=FEP($r['cuo_pag_fec']);	
$PagRegBan=$r['cuo_pag_id_ban'];
$PagRegBan=gs("ban_nom","ges_xml_bancos","id_ban=".vbval($PagRegBan));
$PagRegNroOpe=$r['cuo_pag_nro_ope'];
$PagRegTot=$r['cuo_pag_tot'];
	if($PagRegTot>0)$PAG_REG_OK=1;
$PagRegObs=$r['cuo_pag_obs'];
//
$PagRetFec=FEP($r['cuo_ret_fec']);
$PagRetNroOpe=$r['cuo_ret_nro_ope'];
$PagRetTot=$r['cuo_ret_tot'];
	if($PagRetTot>0)$PAG_RET_OK=1;
?>
